Name:       location-module
Summary:    Location module
Version:    0.1.22
Release:    1
Group:      System/Libraries
License:    Apache-2.0
Source0:    %{name}-%{version}.tar.gz
Source1001:	%{name}.manifest
Source1002:	location-geoclue-nominatim.manifest
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gmodule-2.0)
BuildRequires:  pkgconfig(location)
BuildRequires:  pkgconfig(geoclue)
BuildRequires:  pkgconfig(vconf)
BuildRequires:  pkgconfig(dlog)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(json-glib-1.0)

%description
Location module


%package -n location-geoclue-nominatim
Summary:    geoclue-nominatim map-service module for location
Group:      TO_BE/FILLED_IN

%description -n location-geoclue-nominatim
geoclue-nominatim map-service module for location

%prep
%setup -q
cp %{SOURCE1001} %{SOURCE1002} .

%build
./autogen.sh
%configure --prefix=%{_prefix} --enable-dlog --enable-debug

make %{?jobs:-j%jobs}

%install
%make_install

%files -n location-geoclue-nominatim
%manifest location-geoclue-nominatim.manifest
%defattr(-,root,root,-)
%{_libdir}/location/module/libmap-service-osm*

